Bug 250932 - missing dependencies: dbus-python, pygobject2, rhpl
missing dependencies: dbus-python, pygobject2, rhpl
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-05 11:47 EDT by Dean Mander
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 15:11:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Mander 2007-08-05 11:47:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.4) Gecko/20070603 Fedora/2.0.0.4-2.fc7 Firefox/2.0.0.4

Description of problem:
some dependendencies are missing when installing setroubleshoot-server.
I installed it on a machine, but only worked after installing additional packages.

Errors: see below

Version-Release number of selected component (if applicable):
setroubleshoot-server.noarch 0:1.9.4-2.fc7

How reproducible:
Always


Steps to Reproduce:
1. remove next packages: dbus-python, pygobject2, rhpl
2. yum install setroubleshoot-server
3.run sealert

Actual Results:
$ sealert -a messages
Traceback (most recent call last):
  File "/usr/bin/sealert", line 33, in <module>
    import dbus
ImportError: No module named dbus

$ yum install dbus-python

$ sealert -a messages
Traceback (most recent call last):
  File "/usr/bin/sealert", line 37, in <module>
    import gobject
ImportError: No module named gobject

$ yum install pygobject2

$ sealert -a messages
Traceback (most recent call last):
  File "/usr/bin/sealert", line 45, in <module>
    from setroubleshoot.analyze import *
  File "/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 35, in <module>
    from setroubleshoot.avc_audit import *
  File "/usr/lib/python2.5/site-packages/setroubleshoot/avc_audit.py", line 35, in <module>
    from setroubleshoot.signature import AVC, AvcContext
  File "/usr/lib/python2.5/site-packages/setroubleshoot/signature.py", line 62, in <module>
    from rhpl.translate import _
ImportError: No module named rhpl.translate

$ yum install rhpl

$ sealert -a messages
100% done
found 0 alerts in messages


Expected Results:



Additional info:
Comment 1 John Dennis 2007-08-09 15:11:40 EDT
Thank you for taking the time to report this, it is very much appreciated. It's
fixed upstream and should appear in the next released rpm.

Note You need to log in before you can comment on or make changes to this bug.